#ifndef OFEN_DEFINE
#define OFEN_DEFINE

#include <string>
#include <vector>

#ifdef UNICODE_OFSTR
using ofString = std::wstring;
using ofChar = wchar_t;
#define ofT(text) L##text
#ifndef UNICODE
#define UNICODE
#endif
#ifndef _UNICODE
#define _UNICODE
#endif
#else
using ofString = std::string;
using ofChar = char;
#define ofT(text) text
#endif

using ofStrVec = std::vector<ofString>;
enum OfStatus {
    STA_SUCESS = 0,
    STA_ERROR,
    STA_CANOT_OPEN_REG,
    STA_CANOT_QUERY_REG,
    STA_CANOT_SET_REG
};

#endif