#pragma once
#ifdef _WIN32

#include <string>
#include <map>
#include "of_def.hpp"

class COfWin {
public:
    COfWin();
    ~COfWin();
public:
    /// @brief 获取机器上安装的VS安装目录
    /// @return 
    static OfStatus getVSInstallations(std::map<ofString, ofString>& out);
    static OfStatus appendPathVariable(const ofString& path);
    static OfStatus removePathVariable(const ofString& path);
    static bool isAdminRun(bool& is_admin);
};

#endif